xfce4.8@squeeze

I found it to be a pain in the ass to build xfce, so once I figured out a way to do that, I wrote a script that does it for me (on debian squeeze).

Before you start, wget the current version of all components from xfce.org and put the files in one directory.

Then use this script:

apt-get install gcc gcc-multilib autoconf automake1.9 \ 
libtool flex bison gdb  gcc-4.4-multilib libmudflap0-4.4-dev \
gcc-4.4-locales libgcc1-dbg libgomp1-dbg libmudflap0-dbg \
libcloog-ppl0 libppl-c2 libppl7 automake make gnu-standards \ 
build-essential intltool python-gobject-dev libdbus-1-dev \ 
libdbus-glib-1-dev xorg-dev libx11-dev libgtk2.0-dev libglade2-dev \
libwnck-dev libgudev-1.0-dev libnotify-dev libgstreamer0.10-dev \
libghc6-gstreamer-dev libkeybinder-dev

export PREFIX=/usr/local/
export CFLAGS="-O2 -pipe"
export PKG_CONFIG_PATH="${PREFIX}/lib/pkgconfig:$PKG_CONFIG_PATH"

cd src/xfce-4.8
mkdir done 2>/dev/null
for f in *bz2; do tar xjf $f; done
for component in garcon-*/ xfce4-dev-tools-*/ libxfce4util-*/ xfconf-*/ \ 
libxfce4ui-*/ libxfcegui4-*/ exo-*/ xfce4-panel-*/ xfce4-panel-*/ \
thunar-vfs-*/ xfce4-settings-*/ xfce4-session-*/ xfwm4-*/ xfdesktop-*/ \
xfce4-appfinder-*/ xfce-utils-*/ gtk-xfce-engine-*/ Thunar-*/ \
thunar-volman-*/ xfce4-power-manager-*/ tumbler-*/ ; do
  if ! cd $component; then
    echo "$component does not exist"
    if ls -ld done/$component; then
      echo "$component seems to be done already"
    else
      echo "$component is missing"
      exit 1
    fi
  fi
  ./configure --prefix=${PREFIX} && make && make install
  if [ $? -ne 0 ]; then
    echo "compiling $component failed"
    exit 1
  else
    cd ..
    mv $component done
  fi
  ldconfig
done

hth

Advertisements

One response to “xfce4.8@squeeze

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s